import { getDataStackDirs, getDirDetails, saveDir, delDir, switchDir } from "@/api/localVedio"

export default class DataStackPool {
  public searchOptions: Array<object>;
  public searchType: number;
  public searchInput: string;
  public dirs: Array<object>;
  public selectedDir: object;
  public readonly: Boolean;

  constructor() {
    this.searchType = 0;
    this.searchInput = "";
    this.dirs = [];
    this.selectedDir = { id: "" };
    this.readonly = true;
    this.searchOptions = [
      {
        value: 0,
        label: "全部"
      },
      {
        value: 1,
        label: "处理完成"
      },
      {
        value: 2,
        label: "处理中"
      },
      {
        value: 3,
        label: "未配规则"
      },
      {
        value: 4,
        label: "未开启"
      }
    ];
  }

  public async fetchFiles() {
    const rsp: any = await getDataStackDirs({ name: this.searchInput, type: this.searchType, page: 1, size: 100 });
    if (rsp && rsp.success) {
      this.dirs = rsp.data.dataList.sort(function (obj1: any, obj2: any) {
        var val1 = obj1.name;
        var val2 = obj2.name;
        if (val1 < val2) {
          return -1;
        } else if (val1 > val2) {
          return 1;
        } else {
          return 0;
        }
      });
    }
  }

  clean() {
    this.selectedDir = { id: "" };
  }
}